<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class RoleEnum
{
    public const ADMIN = 101;
    public const SUPER_ADMIN = 102;
    public const PIM_MANAGER = 106;
    public const MANAGER_SELLER = 103;
    public const MANAGER_CLIENT = 104;
    public const SELLER_ADMINISTRATOR = 115;
    public const SEO_MANAGER = 116;
    public const OMS_SHIFT_MANAGER = 120;
    public const OMS_ORDER_COLLECTOR = 119;
    public const OMS_ORDER_PICKER = 111;
    public const OMS_CALL_CENTER = 113;
    public const OMS_STORE_EMPLOYEE = 114;
    public const OMS_LOGISTIC = 112;
    public const SAS_SELLER_OPERATOR = 201;
    public const SAS_SELLER_ADMIN = 202;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::ADMIN,
            self::SUPER_ADMIN,
            self::PIM_MANAGER,
            self::MANAGER_SELLER,
            self::MANAGER_CLIENT,
            self::SELLER_ADMINISTRATOR,
            self::SEO_MANAGER,
            self::OMS_SHIFT_MANAGER,
            self::OMS_ORDER_COLLECTOR,
            self::OMS_ORDER_PICKER,
            self::OMS_CALL_CENTER,
            self::OMS_STORE_EMPLOYEE,
            self::OMS_LOGISTIC,
            self::SAS_SELLER_OPERATOR,
            self::SAS_SELLER_ADMIN,
        ];
    }
}
